TOP = site
CABAL_SB = ./.cabal-sandbox/x86_64-osx-ghc-7.8.3-packages.conf.d
GHC_FLAGS = -v -package-db=$(CABAL_SB) -threaded

all: $(TOP)

deploy: $(TOP)
	./$(TOP) rebuild && ./$(TOP) deploy

clean:
	rm *.hi *.o $(TOP)

$(TOP): $(TOP).hs
	ghc $(GHC_FLAGS) $(TOP).hs
